<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	 
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="/opml/head/title"/>
				</title>
			</head>
			<body>
				<div>
					<strong>
						<xsl:value-of select="/opml/head/title"/>
					</strong>
				</div>
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	
	<!-- override built-in template -->
	<xsl:template match="text()"/>
	
	<xsl:template match="outline">   
		<ul>
			<li>
				<a href="{@url}">
					<xsl:value-of select="@text"/>
				</a>
				<xsl:apply-templates select="outline"/>
			</li>
		</ul>
		
	</xsl:template>
	
</xsl:stylesheet>