<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	
	<xsl:template match="/">
	  
		<td width="240" bgcolor="#eeeeee" valign="top" >
			<h3>
				News and Events
			</h3>

			<div>
				<xsl:apply-templates select="rss/channel/item" />
			</div>

		</td>
							
	</xsl:template>
	 
	
	<xsl:template match="item"> 

		<xsl:choose>
			<xsl:when test="link">
				<div class="newsItem">
					<a href="{link}" title="{title}">
						<xsl:value-of select="title"/>
					</a>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="newsItem">
					<xsl:value-of select="title"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>

		<xsl:if test="description">
			<div class="newsDesc">
				<xsl:value-of select="description" />
			</div>
		</xsl:if>
		
		<br />
			
	 </xsl:template>
	 
</xsl:stylesheet>
