<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

  <xsl:template match="/">
    <html>
      <head>
	<title>
          Unique States
	</title>
      </head>
      <body>
        <h1>
          Unique States
        </h1>
        <ul>
          <xsl:apply-templates select="/ushousemembers/member[not(state = preceding::member/state)]">
            <xsl:sort select="state"/>
          </xsl:apply-templates>
        </ul>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="member">
    <li>
      <xsl:value-of select="state"/>
      <xsl:text>, </xsl:text>
      <xsl:value-of select="generate-id()"/>
    </li>      
  </xsl:template>
</xsl:stylesheet>
